qemu-ppc
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-ppc] [PATCH v7 3/8] scripts: Submit changes while updating linux h


From: Gavin Shan
Subject: [Qemu-ppc] [PATCH v7 3/8] scripts: Submit changes while updating linux headers
Date: Fri, 28 Aug 2015 17:15:15 +1000

This submits changes with formatted commit log while updating Linux
headers using scripts/update-linux-headers.sh.

Signed-off-by: Gavin Shan <address@hidden>
---
 scripts/update-linux-headers.sh | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
index 18daabe..1be02b8 100755
--- a/scripts/update-linux-headers.sh
+++ b/scripts/update-linux-headers.sh
@@ -63,6 +63,28 @@ cp_virtio() {
     fi
 }
 
+submit_change() {
+    from=$1
+    to=$2
+    if ! [ -e $to/include/qemu-common.h ]; then
+        echo "$to not QEMU source directory, skip submitting changes"
+        exit 3
+    fi
+
+    version=$(make -C $from -s kernelversion)
+    commit=$(cd $from && git log --oneline -1 | cut -d " " -f 1)
+    subject="Synchronize Linux headers from kernel $version"
+    message="Synchronize the Linux headers from kernel version $version"
+    message=$(echo "$message\n(commit $commit)")
+    res=$(cd $to && git commit -qa -m "$subject" -m "$message" -s && echo $?)
+    if [ "$res" = "0" ]; then
+        echo "Changes submitted successfully"
+    else
+        echo "Error $res submitting changes"
+        exit 4
+    fi
+}
+
 # This will pick up non-directories too (eg "Kconfig") but we will
 # ignore them in the next loop.
 ARCHLIST=$(cd "$linux/arch" && echo *)
@@ -132,3 +154,5 @@ cat <<EOF >$output/include/standard-headers/linux/if_ether.h
 EOF
 
 rm -rf "$tmpdir"
+
+submit_change "$linux" "$output"
-- 
2.1.0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]